{
  "author": "Flywheel Exchange, LLC",
  "command": "poetry run python3 /flywheel/v0/run.py",
  "config": {
    "allowed": {
      "default": "_-",
      "description": "Characters that will be allowed in names when suggesting new names. Default = '_-'",
      "type": "string"
    },
    "debug": {
      "default": false,
      "description": "Log debug messages",
      "type": "boolean"
    },
    "dry_run": {
      "default": false,
      "description": "Whether or not to perform a dry run, logging what would be changed without actually changing it. Default = False",
      "type": "boolean"
    },
    "suggest": {
      "default": true,
      "description": "Whether or not to suggest new names by removing spaces and special characters from names. Default = True",
      "type": "boolean"
    }
  },
  "custom": {
    "flywheel": {
      "suite": "Curation",
      "classification": {
        "species": [
          "Phantom",
          "Human",
          "Animal",
          "Other"
        ],
        "organ": [
          "Brain"
        ],
        "therapeutic_area": [
          "Neurology",
          "Psychiatry/Psychology"
        ],
        "modality": [
          "MR",
          "MEG",
          "EEG"
        ],
        "function": [
          "Curation"
        ]
      }
    },
    "gear-builder": {
      "category": "analysis",
      "image": "flywheel/bids-pre-curate:0.4.2"
    },
    "license": {
      "dependencies": [],
      "main": {
        "name": "MIT",
        "url": ""
      },
      "non-commercial-use-only": false
    }
  },
  "description": "Prepare a project for BIDS Curation. BIDS Pre-Curate offers a simple way to modify labels of project data to be compatible with the BIDS-spec. Running pre-curate on a given project (as a project-level analysis) will generate CSV files that will be populated with a unique list of container labels, as well as slots for the information needed for BIDS curation (classification, task, etc.). These CSV files can be downloaded and modified (outside of Flywheel) to provide missing or corrected information. The corrected CSV file is then uploaded to the project (as an attachment) and provided as input to a run of this same gear to do on-the-fly mappings and metadata updates. For more information, please see the readme in the source repository.",
  "environment": {
    "PYTHONUNBUFFERED": "1"
  },
  "inputs": {
    "acquisition_table": {
      "base": "file",
      "description": "CSV file containing corrected acquisition information.",
      "optional": true
    },
    "session_table": {
      "base": "file",
      "description": "CSV file containing corrected session information.",
      "optional": true
    },
    "subject_table": {
      "base": "file",
      "description": "CSV file containing corrected subject information.",
      "optional": true
    },
    "api-key": {
      "base": "api-key",
      "read-only": false
    }
  },
  "label": "BIDS Pre-Curation",
  "license": "MIT",
  "maintainer": "Flywheel <support@flywheel.io>",
  "name": "bids-pre-curate",
  "source": "https://gitlab.com/flywheel-io/flywheel-apps/bids-pre-curate",
  "url": "https://gitlab.com/flywheel-io/flywheel-apps/bids-pre-curate",
  "version": "0.4.2"
}
